# Interface UnknownCreationDecoding

This type represents a contract creation for an unknown class. In this case, it's simply not possible to return much information.

#### Category

Output

#### Hierarchy

- UnknownCreationDecoding

- Defined in codec/lib/types.ts:265

#####
Index

### Properties

bytecode
decodingMode
interpretations
kind

## Properties

### bytecode

bytecode: string

The bytecode of the contract creation.

- Defined in codec/lib/types.ts:278

### decodingMode

decodingMode: DecodingMode

The decoding mode that was used; see the README for more on these.

- Defined in codec/lib/types.ts:274

### interpretations

interpretations: {}

Further information about how the decoding may be interpreted. Note that interpretations may be added by things that use @truffle/codec, such as @truffle/decoder, rather than by @truffle/codec itself. See individual interpretations for details. (Currently there are none for this type.)

#### Type declaration

- Defined in codec/lib/types.ts:285

### kind

kind: "create"

The kind of decoding; indicates that this is an UnknownCreationDecoding.

- Defined in codec/lib/types.ts:269

Generated using TypeDoc